function define_aliases -a uname -d 'Defines aliases for commonly used commands'
    alias rcp 'rsync -aP'
    alias dm 'docker-machine'
    alias v 'nvim +FZF'
    alias vg 'vagrant'
    alias tf 'terraform'
    alias tocb 'xclip -in -selection clipboard'
    alias fromcb 'xclip -out -selection clipboard'
    alias ssh-rm 'ssh-keygen -f ~/.ssh/known_hosts -R'
    alias wiki 'nvim +VimwikiIndex'
    alias ssh-a 'ssh-add ~/.secrets/id_ed25519'
    alias age-p 'age --armor --passphrase'
    alias age-d 'age --decrypt --identity ~/.secrets/id_ed25519'
    alias age-e 'age --armor --recipient (cat ~/.secrets/id_ed25519.pub)'
    alias age-k 'age --decrypt --identity ~/.secrets/id_ed25519 ~/.secrets/age_keys.age'

    switch "$uname"
        case 'Linux'
            alias bat 'batcat --theme ansi-dark'
            alias goland 'command goland'
            alias rider 'command rider'
            alias webstorm 'command webstorm'
            alias sctl 'sudo systemctl'
        case 'Darwin'
            alias bat 'bat --theme ansi-dark'
            alias goland 'open -a Goland'
            alias rider 'open -a Rider'
            alias webstorm 'open -a Webstorm'
    end
end
